summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst')
-rw-r--r--t/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/t/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst b/t/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst
new file mode 100644
index 0000000..9907569
--- /dev/null
+++ b/t/recipes/checks/menus/menus-script-check-ok/build-spec/debian/postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+# Checks that the maintainer script checks for the existence of programs that
+# it calls. This should produce no warnings except a bashism warning about
+# using type, a warning about the deprecated wm-menu-config invocation, and a
+# warning for calling the deprecated install-docs outside of a trigger.
+if [ -x /usr/bin/update-menus ] ; then
+ update-menus
+fi
+if type install-docs >/dev/null 2>&1 ; then
+ install-docs -i /usr/share/doc-base/test-doc
+fi
+
+#DEBHELPER#